完成代码高亮插件的更换

荒原之梦原来使用的代码高亮插件的作者已经很久没有更新该插件了, 在我将 WordPress 的版本升级到新版本后之后, WordPress 的默认编辑器变成了”区块编辑器”, 而原来的代码高亮插件对该编辑器的适配不够理想, 经常发生把代码中的一些字符进行 HTML 转义后再显示的情况.

综合以上情况, 遂于昨日决定更换荒原之梦的代码高亮插件. 不过更换插件之后, 使用原来插件写入的代码都失去了高亮样式. 由于不知道怎么才能批量转换, 让原来的代码也使用现在的高亮插件显示, 于是, 我就手动一篇篇文章重新使用现在的高亮插件写入一遍代码, 使得原来的代码也可以高亮显示.

由于手动修改难免有纰漏, 如果大家发现有文章中的代码没有高亮显示, 请联系我, 联系方式在右边侧栏.